org.eclipse.wst.jsdt.chromium

## Interface UpdatableScript.ChangeDescription

Enclosing interface:
  UpdatableScript

    public static interface UpdatableScript.ChangeDescription

An interface that explains what has happened/going to happen within script update action.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdatableScript.OldFunctionNode` `getChangeTree()`
`java.lang.String` `getCreatedScriptName()`
`UpdatableScript.TextualDiff` `getTextualDiff()`
`boolean` `isStackModified()`

### Method Detail

#### getChangeTree

    UpdatableScript.OldFunctionNode getChangeTree()

Returns:
  the root of the function change tree

#### getTextualDiff

    UpdatableScript.TextualDiff getTextualDiff()

Returns:
  the description of the textual diff

#### getCreatedScriptName

    java.lang.String getCreatedScriptName()

Returns:
  the name of 'old script' that has been created or null if there was no need in creating a script

#### isStackModified

    boolean isStackModified()